//Header file

#pragma once

#include "FullScreenTitleBar.h"

class CFullScreen
{
public:
	CFullScreen(HINSTANCE hInst);
	virtual ~CFullScreen();
	void CreateDisplay();

	static LRESULT CALLBACK WndProc(HWND hwnd, UINT iMsg, WPARAM wParam, LPARAM lParam);

	void Draw();

	void SetFullScreen(BOOL OnOff);

	//Returns the window
	HWND GetSafeHwnd()
	{
		return m_hWnd;
	};

	//Create titlebar
	CTitleBar *TitleBar;

private:
	HINSTANCE hInstance;
	HWND m_hWnd;
	BOOL IsFullScreen;
};
